Reinforcement LShapeRebar/it: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommandAddon/it|Name=Arch Rebar LShape|Name/it=Armatura a L|Workbenches=[[Arch Module/it|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Strumenti armatura|Shortcut=None|SeeAlso=[[Arch_Rebar/it|Armatura]], [[Arch_Rebar_Straight/it|Armatura dritta]], [[Arch_Rebar_UShape/it|Armatura a U]], [[Arch_Rebar_BentShape/it|Armatura sagomata]], [[Arch_Rebar_Stirrup/it|Staffe armatura]], [[Arch_Rebar_Helical/it|Armatura elicoidale]]}}
{{GuiCommandAddon|Name=Arch Rebar LShape|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_BentShape|Bent Shape Rebar]]}}


==Descrizione==
==Description==
Lo strumento {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] Armatura a L}} consente all'utente di creare una barra di rinforzo piegata a L (un gancio) nell'elemento strutturale.


The {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] LShape Rebar}} tool allows user to create LShape reinforcing bar in the structural element.
[[Image:LShapeRebarNew.png]]


[[Image:LShapeRebarNew.png|800px]]
==Uso==


==How to use==
# Creare un elemento [[Arch Structure/it|Struttura]]
# Selezionare una qualsiasi faccia della struttura
# Selezionare {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] Armatura a L}} dagli strumenti Armatura
# Sul lato sinistro dello schermo appare un pannello delle azioni come il seguente [[Image:LShapeDialog.png]]
# Selezionare l'orientamento desiderato
# Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
# Selezionare la modalità di distribuzione per la quantità e per la spaziatura
# Se la spaziatura è selezionata, l'utente può anche optare per una [[Custom_Spacing/it|spaziatura personalizzata]]
# Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura
# Cliccare {{KEY|OK}} o {{KEY|Apply}} per generare l'armatura
# Cliccare {{KEY|Cancel}} per uscire dal pannello delle azioni


# Create a [[Arch Structure|structure]] element
==Proprietà==
# Select any face of the structure
# Then select {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] LShape Rebar}} from the rebar tools
# A task panel will pop-out on the left side of the screen as shown below [[Image:LShapeDialog.png|250px]]
# Select the desired orientation
# Give the inputs like front cover, left side cover, right side cover, bottom cover, top cover, rounding and diameter of the rebar
# Select the mode of distribution either amount or spacing
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Pick selected face is used to verify or change the face for rebar distribution
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Click {{KEY|Cancel}} to exit the task panel


==Properties==
* {{PropertyData|Orientation}}: Decide l'orientamento dell'armatura (es. verso il basso, verso l'alto, a destra o a sinistra).
* {{PropertyData|Front Cover}}: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
* {{PropertyData|Right Cover}}: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
* {{PropertyData|Left Cover}}: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
* {{PropertyData|Bottom Cover}}: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
* {{PropertyData|Top Cover}}: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
* {{PropertyData|Rounding}}: Il raggio di curvatura da applicare agli angoli delle barre, espresso quantità di diametro delle barre.
* {{PropertyData|Amount}}: La quantità di barre.
* {{PropertyData|Spacing}}: La distanza tra gli assi di ogni barra.


* {{PropertyData|Orientation}}: It decides the orientation of the rebar (like a bottom, top, right and left).
==Script==
* {{PropertyData|Front Cover}}: The distance between rebar and selected face.
* {{PropertyData|Right Cover}}: The distance between the right end of the rebar to right face of the structure.
* {{PropertyData|Left Cover}}: The distance between the left end of the rebar to the left face of the structure.
* {{PropertyData|Bottom Cover}}: The distance between rebar from the bottom face of the structure.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
* {{PropertyData|Rounding}}: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
* {{PropertyData|Amount}}: The amount of rebars.
* {{PropertyData|Spacing}}: The distance between the axes of each bar.


==Scripting==
Lo strumento {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] Armatura a L}} può essere usato nelle [[macros/it|macro]] e dalla console python utilizzando la seguente funzione:

The {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] LShape Rebar}} tool can by used in [[macros]] and from the python console by using the following function:


{{Code|code=
{{Code|code=
makeLShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, Rounding, AmountSpacingCheck, AmountSpacingValue, orientation, Structure, Facename)
makeLShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, Rounding, AmountSpacingCheck, AmountSpacingValue, orientation, Structure, Facename)
}}
}}
* The LShape Rebar have four different orientations:
* L'armatura a L può avere quattro diversi orientamenti:
** Bottom Right
** Bottom Right
** Bottom Left
** Bottom Left
** Top Right
** Top Right
** Top Left
** Top Left
* Adds a LShape reinforcing bar object to the given structural object.
* Aggiunge un oggetto armatura UShape all'oggetto strutturale specificato.
* Se Structure e Facename non sono fornite, prende come input la faccia selezionata dall'utente.
* If no Structure and Facename is given, it will take user selected face as input.
* Here CoverAlong argument is having type tuple.
* Here CoverAlong argument is having type tuple.
* Restituisce il nuovo oggetto Rebar.
* Returns the new Rebar object.


Example:
Esempio:
Creating LShape rebar.
Creare una armatura a L (LShape).
{{Code|code=
{{Code|code=
import Arch, LShapeRebar
import Arch, LShapeRebar
Line 59: Line 60:
}}
}}


Changing properties of LShape rebar.
Cambiare le proprietà di una armatura LShape.
{{Code|code=
{{Code|code=
import LShapeRebar
import LShapeRebar
LShapeRebar.editLShapeRebar(50, 50, 20, 20, 8, 20, 2, True, 5, "Top Left")
LShapeRebar.editLShapeRebar(50, 50, 20, 20, 8, 20, 2, True, 5, "Top Left")
}}
}}


{{clear}}
<languages/>

Revision as of 16:02, 10 February 2018

Arch Rebar LShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Bent Shape Rebar
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Description

The LShape Rebar tool allows user to create LShape reinforcing bar in the structural element.

How to use

  1. Create a structure element
  2. Select any face of the structure
  3. Then select LShape Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below
  5. Select the desired orientation
  6. Give the inputs like front cover, left side cover, right side cover, bottom cover, top cover, rounding and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Click OK or Apply to generate the rebars
  11. Click Cancel to exit the task panel

Properties

  • DatiOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DatiFront Cover: The distance between rebar and selected face.
  • DatiRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DatiLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DatiBottom Cover: The distance between rebar from the bottom face of the structure.
  • DatiTop Cover: The distance between rebar from the top face of the structure.
  • DatiRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DatiAmount: The amount of rebars.
  • DatiSpacing: The distance between the axes of each bar.

Scripting

The LShape Rebar tool can by used in macros and from the python console by using the following function:

makeLShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, Rounding, AmountSpacingCheck, AmountSpacingValue, orientation, Structure, Facename)
  • The LShape Rebar have four different orientations:
    • Bottom Right
    • Bottom Left
    • Top Right
    • Top Left
  • Adds a LShape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example: Creating LShape rebar.

import Arch, LShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = LShapeRebar.makeLShapeRebar(20, 20, 20, 20, 8, 20, 2, True, 10, "Bottom Left", structure, "Face1")

Changing properties of LShape rebar.

import LShapeRebar
LShapeRebar.editLShapeRebar(50, 50, 20, 20, 8, 20, 2, True, 5, "Top Left")